Интерактивный справочник API
Тестируйте эндпоинты Syncra Merchant API V2 прямо из вашего браузера
Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/deals/payin" \ -H "Content-Type: application/json" \ -d '{ "amount": 150000, "currency": "RUB", "idempotency_key": "payin_order_12345" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "PENDING", "amount": 0, "currency": "string", "payment_page_url": "http://example.com", "created_at": "2019-08-24T14:15:22Z" }}{ "error": { "code": "INVALID_ARGUMENT", "message": "amount must be positive", "details": [ { "field": "string", "description": "string" } ] }}{ "error": { "code": "INVALID_ARGUMENT", "message": "amount must be positive", "details": [ { "field": "string", "description": "string" } ] }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/deals/payout" \ -H "Content-Type: application/json" \ -d '{ "amount": 500000, "currency": "RUB", "wallet_id": "d9a8fbfc-848f-43a2-9168-911ed3a04a48", "target_requisite": "2202201234567890", "idempotency_key": "payout_order_99812" }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "PENDING", "amount": 0, "currency": "string", "target_requisite": "string", "target_name": "string", "created_at": "2019-08-24T14:15:22Z" }}{ "error": { "code": "INVALID_ARGUMENT", "message": "amount must be positive", "details": [ { "field": "string", "description": "string" } ] }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Path Parameters
uuidResponse Body
application/json
curl -X GET "https://example.com/deals/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "PENDING", "deal_type": "PAYIN", "amount": 0, "currency": "string", "client_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Query Parameters
Фильтр по типу сделки
Value in
- "PAYIN"
- "PAYOUT"
Фильтр по статусам
Сделки после указанной даты
date-timeСделки до указанной даты
date-timeРазмер страницы (макс. 250)
value <= 25050Токен пагинации из предыдущего ответа
Response Body
application/json
curl -X GET "https://example.com/deals"{ "deals": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "PENDING", "deal_type": "PAYIN", "amount": 0, "currency": "string", "client_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_page_token": "string", "total_count": 0}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Response Body
application/json
curl -X GET "https://example.com/balance"{ "data": { "wallets": [ { "wallet_id": "string", "currency": "string", "available": 0, "frozen": 0, "total": 0 } ] }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Query Parameters
Фильтр по статусу диспута
Value in
- "OPEN"
- "IN_REVIEW"
- "RESOLVED_MERCHANT"
- "RESOLVED_TRADER"
- "CLOSED"
- "REOPENED"
Response Body
application/json
curl -X GET "https://example.com/appeals"{ "data": { "appeals": [ { "appeal_id": "9816207b-564c-4be2-ae2f-ceca99025b94", "deal_id": "2fa5b64f-5b72-4263-958e-07b76f41abe3", "status": "OPEN", "reason": "string", "resolution_note": "string", "created_at": "2019-08-24T14:15:22Z", "resolved_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ] }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/appeals" \ -H "Content-Type: application/json" \ -d '{ "deal_id": "2fa5b64f-5b72-4263-958e-07b76f41abe3", "reason": "Средства не зачислены в течение 30 минут" }'{ "data": { "appeal_id": "9816207b-564c-4be2-ae2f-ceca99025b94", "deal_id": "2fa5b64f-5b72-4263-958e-07b76f41abe3", "status": "OPEN", "reason": "string", "resolution_note": "string", "created_at": "2019-08-24T14:15:22Z", "resolved_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Path Parameters
uuidResponse Body
application/json
curl -X GET "https://example.com/appeals/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "appeal_id": "9816207b-564c-4be2-ae2f-ceca99025b94", "deal_id": "2fa5b64f-5b72-4263-958e-07b76f41abe3", "status": "OPEN", "reason": "string", "resolution_note": "string", "created_at": "2019-08-24T14:15:22Z", "resolved_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Path Parameters
uuidResponse Body
application/json
curl -X GET "https://example.com/appeals/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"{ "data": { "messages": [ { "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2", "appeal_id": "9816207b-564c-4be2-ae2f-ceca99025b94", "sender_role": "MERCHANT", "body": "string", "file_ids": [ "string" ], "created_at": "2019-08-24T14:15:22Z" } ] }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/appeals/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{ "data": { "message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2", "appeal_id": "9816207b-564c-4be2-ae2f-ceca99025b94", "sender_role": "MERCHANT", "body": "string", "file_ids": [ "string" ], "created_at": "2019-08-24T14:15:22Z" }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/wallet/withdraw" \ -H "Content-Type: application/json" \ -d '{ "amount_usdt": 50000, "tron_address": "TRx7Vn2a3bK8HJdZmFc4eD5q1wP9nLs6t" }'{ "data": { "status": "PENDING", "transaction_id": "string", "amount_usdt": 0, "tron_address": "string", "created_at": "2019-08-24T14:15:22Z" }}Authorization
MerchantToken HMACSignature 64-character hex token assigned during merchant onboarding
In: header
HMAC-SHA256 signature. Format: t={unix_ts},v1={hmac_sha256_hex}
In: header
Query Parameters
Фильтр по стране (ISO 3166-1 alpha-2)
Фильтр по валюте (ISO 4217)
Response Body
application/json
curl -X GET "https://example.com/banks?country=RU¤cy=RUB"{ "data": { "banks": [ { "bank_name": "sberbank", "display_name": "Сбербанк", "country": "RU", "methods": [ "BANK_CARD", "SBP" ] } ] }}